SDL_GetGDKDefaultUser(3)

NAME
SDL_GetGDKDefaultUser - Gets a reference to the default user handle for GDK.

SYNOPSIS
#include <SDL3/SDL_system.h>

bool SDL_GetGDKDefaultUser(XUserHandle *outUserHandle);

DESCRIPTION
This is effectively a synchronous version of XUserAddAsync, which always prefers the default user and allows a sign-in UI.

FUNCTION PARAMETERS

outUserHandle
    a pointer to be filled in with the default user handle.

RETURN VALUE
Returns true if success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.